import { AbstractRouter } from "@golemio/core/dist/helpers/routing/AbstractRouter";
import { Router } from "@golemio/core/dist/shared/express";
export declare class V2PublicGtfsRouter extends AbstractRouter {
    router: Router;
    private cacheHeaderMiddleware;
    private compressionByDefaultMiddleware;
    private gtfsController;
    constructor();
    protected initRoutes(): void;
}
declare const v2PublicGtfsRouter: AbstractRouter;
export { v2PublicGtfsRouter };
